Pular para conteúdo

Referência de URLs

Contas (/conta/)

URL View Método Auth
/conta/registrar/ RegisterView GET/POST
/conta/login/ LoginView GET/POST
/conta/logout/ LogoutView POST Login
/conta/perfil/ ProfileView GET/POST Login
/conta/dashboard/ DashboardRedirectView GET Login

Escola Admin (/escola/)

URL View Método Auth
/escola/criar/ SchoolCreateView GET/POST Login
/escola/dashboard/ SchoolDashboardView GET Admin
/escola/alunos/ StudentListView GET Admin
/escola/alunos/<id>/ StudentDetailView GET Admin
/escola/plano/ SubscriptionDetailView GET Admin
/escola/plano/upgrade/ SubscriptionUpgradeView GET/POST Admin

Cursos (/escola/cursos/)

URL View Método
/escola/cursos/ CourseListView GET
/escola/cursos/novo/ CourseCreateView GET/POST
/escola/cursos/<id>/ CourseDetailView GET
/escola/cursos/<id>/editar/ CourseUpdateView GET/POST
/escola/cursos/<id>/aluno/<uid>/ EnrollmentToggleView POST

Agentes (/escola/agentes/)

URL View Método
/escola/agentes/ AgentListView GET
/escola/agentes/curso/<id>/novo/ AgentCreateView GET/POST
/escola/agentes/<id>/ AgentDetailView GET
/escola/agentes/<id>/editar/ AgentUpdateView GET/POST
/escola/agentes/<id>/treinar/ AgentTrainView POST
/escola/agentes/<id>/upload/ DocumentUploadView POST

Chat Aluno (/dashboard/)

URL View Método
/dashboard/ StudentDashboardView GET
/dashboard/chat/<agent_id>/ ChatView GET
/dashboard/chat/<agent_id>/sessao/ SessionCreateView POST
/dashboard/sessao/<id>/ SessionDetailView GET
/dashboard/sessao/<id>/mensagem/ MessageSendView POST (SSE)
/dashboard/sessao/<id>/renomear/ SessionRenameView POST
/dashboard/sessao/<id>/excluir/ SessionDeleteView POST
/dashboard/sessao/<id>/exportar/ SessionExportView GET
/dashboard/mensagem/<id>/feedback/ MessageFeedbackView POST

Sistema

URL Descrição
/health/ Health check (JSON)
/admin/ Django Admin